#property copyright "MetaQuotes"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 DodgerBlue
//---- input parameters
extern int Kijun = 50;
int Shift_Kijun = 0  ;

double Kijun_Buffer[];

int init()
{
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Kijun_Buffer);
   SetIndexDrawBegin(0,Kijun+Shift_Kijun-1);
   SetIndexShift(0,Shift_Kijun);
   SetIndexLabel(0,"Kijun Sen+");
   
   return(0);
}

int start()
{
   int    i,k;
   int    counted_bars=IndicatorCounted();
   double high,low,price;

   if(Bars<=Kijun) return(0);

   if(counted_bars<1)
   {
      for(i=1;i<=Kijun;i++) 
      Kijun_Buffer[Bars-i]=0;
   }

   i=Bars-Kijun;
   if(counted_bars>Kijun) i=Bars-counted_bars-1;
   while(i>=0)
   {
      high=High[i]; low=Low[i]; k=i-1+Kijun;
      while(k>=i)
      {
         price=High[k];
         if(high<price) high=price;
         price=Low[k];
         if(low>price) low=price;
         k--;
      }
      Kijun_Buffer[i+Shift  _Kijun]=(high+low)/2;
      i--;
   } 
   i=Shift_Kijun-1;
   while(i>=0)
   {
      high=High[0]; low=Low[0]; k=Kijun-Shift_Kijun+i;
      while(k>=0)
      {
         price=High[k];
         if(high<price) high=price;
         price=Low[k];
         if(low>price) low=price;
         k--;
      }
      Kijun_Buffer[i]=(high+low)/2;
      i--;
   }
}

